Skip to main content
POST
Create a scheduled change for a segment

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required
environmentKey
string
required
segmentKey
string
required

Body

application/json
executionDate
integer<int64>
required
instructions
object[]
required

The segment semantic patch instructions to apply on the execution date

comment
string

Optional comment describing the scheduled change

Response

Scheduled change created

The location and content type of related resources

status
enum<string>
required

Where the scheduled change is in its lifecycle. pending means the execution date is still in the future; inFlight means the change is being applied; failed means the change could not be applied on its execution date. More values may be added, so treat an unrecognized value as a change that has not been applied yet.

Available options:
pending,
inFlight,
failed
_id
string
required

The ID of this scheduled change

_creationDate
integer<int64>
required
executionDate
integer<int64>
required
instructions
object[]
required

The segment semantic patch instructions to apply on the execution date

_maintainerId
string

The ID of the member who scheduled the change

_maintainerServiceTokenId
string

The ID of the service token that scheduled the change

comment
string

The comment describing the scheduled change